/ Dev Tools

An IntelliJ plugin for Flutter development

An IntelliJ plugin for Flutter development

Flutter Plugin for IntelliJ

An IntelliJ plugin for Flutter development. Flutter is a multi-platform app SDK to help developers and designers build modern apps for iOS, Android and the web.

Flutter makes it easy and fast to build beautiful mobile apps.

Fast development

Flutter's hot reload helps you quickly and easily experiment, build UIs, add features,
and fix bugs faster. Experience sub-second reload times, without losing state, on emulators,
simulators, and hardware for iOS and Android.

Flutter-Plugin-for-IntelliJ

Quick-start

A brief summary of the getting started guide:

  • install the Flutter SDK
  • run flutter doctor from the command line to verify your installation
  • ensure you have a supported IntelliJ development environment; either:
    • the latest stable version of IntelliJ, Community or Ultimate Edition (EAP versions are not always supported)
    • the latest stable version of Android Studio (note: Android Studio Canary versions are generally not supported)
  • open the plugin preferences
    • Preferences > Plugins on macOS, File > Settings > Plugins on Linux, select "Browse repositories…"
  • search for and install the 'Flutter' plugin
  • choose the option to restart IntelliJ
  • configure the Flutter SDK setting
    • Preferences on macOS, File>Settings on Linux, select Languages & Frameworks > Flutter, and set
      the path to the root of your flutter repo

Filing issues

Please use our issue tracker
for Flutter IntelliJ issues.

  • for more general Flutter issues, you should prefer to use the Flutter
    issue tracker
  • for more Dart IntelliJ related issues, you can use JetBrains'
    YouTrack tracker

GitHub

Comments